using System;
					
public class Program
{
	public static void Main()
	{
string n = Console.ReadLine();
string m = Console.ReadLine();
Console.WriteLine();

if (n.Length > m.Length)
{
int razlika = (n.Length - m.Length);
for (int i = 0; i < razlika; i++)
{
m = '0' + m;
}
}

if (m.Length > n.Length)
{
int razlika = (m.Length - n.Length);
for (int i = 0; i < razlika; i++)
{
n = '0' + n;
}
}

bool provera = false;
bool provera1 = false;


for (int i = 0; i < n.Length; i++)
{
Convert.ToInt16(n[i]);
Convert.ToInt16(m[i]);

if (n[i] > m[i])
{
Console.Write(n[i]);
}
if (n[i] < m[i])
{
Console.Write(m[i]);
}
if (n[i] == m[i])
{
if (n[i] == '0')
{
for (int j = 0; j<i;j++) {
if (n[j] != '0')
{
provera = true;
break;
}
}
for (int j = 0; j < i; j++)
{
if (m[j] != '0')
{
provera1 = true;
break;
}
}
if (provera == true)
{
Console.Write(n[i]);
}
else
{
if (provera1 == true)
{
Console.Write(n[i]);
}
else
{
Console.Write(n[i]);
Console.Write(m[i]);
}
}
}
else
{
Console.Write(n[i]);
Console.Write(m[i]);
}
}
}
	}
}